package AccessCheck::Regexp;

use Mojo::Base -base;

our $email = qr/
    ^
    [\w\-.+=]+
    @
    (?:[\w-]+\.)+  # at least one name component
    [a-zA-Z]{1,63} # one mandatory tld
    $
/x;

our $entityid = qr/
    ^
    (?:
        https?:\/\/[\w.:\/-]+
    |
        urn:[\w.:-]+
    )
    $
/x;

1;
